const eWeLinkConnect = require('../utils/ewelink-connect');

/**
 * Event listener node.
 */
module.exports = (RED) => {
  /**
   * Event listener node constructor.
   * 
   * @param {object} config The node configuration.
   */
  function EventListenerNode(config) {
    // Create the node
    RED.nodes.createNode(this, config);

    // Wait until eWeLink connection is ready
    eWeLinkConnect.on(RED, this, config, config.deviceId, (data) => {
      // Open websocket for real-time events
        this.send({ payload: data });
    }).then(() => this.send([null, { payload: true }])).catch((error) => this.error(JSON.stringify(error)));
  }

  // Register node
  RED.nodes.registerType('ewelink-event-listener', EventListenerNode);
}
